
Figure - Bug #114666
【AF】【EVT2】【FOTA】【WIFI】FOTA升级后，搜索到路由器类型从Wifi4变更为 WIFI5
2022-12-16 22:54 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 需求变更，wifi 功能移除https://share.thundersoft.com/redmine/issues/114797

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包

【测试步骤】

2.查看设置中已保存的WIFI4 路由。查看并截图

3.中控通过网线链接路由，路由通过网线或者wifi 链接DUT

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat-screnen-not_black.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->等待log中有提示下载完成(download succesful)->“adb reboot " 

9.升级成功后，查看WIFI类型

【期望结果】

9.升级前后，WIFI类型一致

【实际结果】

4.升级后，WIFI类型由WIFI4变为WIFI5

【复现概率】2/2 

【路由器】TP-WDR5620

见截图

Related issues:

Copied from Figure - Bug # 114665: 【BSP】【EVT2】【FOTA】增量包升级失败 CLOSED 2022-12-16

History

#1 - 2022-12-16 23:28 - CDTS_TEST 刘勇

- Subject changed from 【BSP】【EVT2】【FOTA】【WIFI】FOTA升级后，搜索到路由器类型从Wifi4变更为 WIFI5 to 【AF】【EVT2】【FOTA】【WIFI

】FOTA升级后，搜索到路由器类型从Wifi4变更为 WIFI5

- Category changed from BSP to CD-FW
#2 - 2022-12-20 10:11 - CD LC 陶洪普

- Status changed from New to ASSIGNED

Checking

#3 - 2022-12-22 15:14 - CD LC 陶洪普

分析:

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt

这个日志是升级之后的日志, 从日志中查看有一次连接和断开. 连接的是 TP-LINK_Figure_6d0405 Associated with 6c:b1:58:0f:7d:39

-------------

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:32.135  3441  3441 I wpa_supplicant: wlan0: Trying to associate with SSID

'TP-LINK_Figure_6d0405'

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:32.630  3441  3441 I wpa_supplicant: wlan0: Associated with 6c:b1:58:0f:7d:39

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:32.630  3441  3441 I wpa_supplicant: wlan0:

CTRL-EVENT-SUBNET-STATUS-UPDATE status=0

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:32.964  3441  3441 I wpa_supplicant: wlan0: WPA: RX message 1 of 4-Way Handshake

from 6c:b1:58:0f:7d:39 (ver=2)

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:32.964  3441  3441 I wpa_supplicant: wlan0: WPA: Sending EAPOL-Key 2/4

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:33.088  3441  3441 I wpa_supplicant: wlan0: WPA: RX message 3 of 4-Way Handshake

from 6c:b1:58:0f:7d:39 (ver=2)

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:33.088  3441  3441 I wpa_supplicant: wlan0: WPA: Sending EAPOL-Key 4/4

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:33.119  3441  3441 I wpa_supplicant: wlan0: WPA: Key negotiation completed with

6c:b1:58:0f:7d:39 [PTK=CCMP GTK=CCMP]

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:22:33.119  3441  3441 I wpa_supplicant: wlan0: CTRL-EVENT-CONNECTED - Connection

to 6c:b1:58:0f:7d:39 completed [id=0

id_str=%7B%22configKey%22%3A%22%5C%22TP-LINK_Figure_6d0405%5C%22WPA_PSK%22%2C%22creatorUid%22%3A%221000%22%7D]

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.220  3441  3441 I wpa_supplicant: wlan0: CTRL-EVENT-DISCONNECTED

bssid=6c:b1:58:0f:7d:39 reason=3 locally_generated=1

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.752  3441  3441 E wpa_supplicant: Failed to invoke HIDL iface callback

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.752  3441  3441 I wpa_supplicant: Try to unregister vendor STA network

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.752  3441  3441 E wpa_supplicant: Failed to invoke HIDL iface callback

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.753  3441  3441 I wpa_supplicant: nl80211: deinit ifname=wlan0 disabled_11b_rates=0

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.753  3441  3441 I wpa_supplicant: Try to unregister vendor interface

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt:12-14 03:29:08.753  3441  3441 I wpa_supplicant: wlan0: CTRL-EVENT-TERMINATING 

----------------

12-14 03:22:33.462  1500  1860 W WifiScoreReport: Cannot start external scoring netId=100 currentNetId=100 currentNetCapabilities=[ Transports: WIFI Capabilities:

NOT_METERED&INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VPN&NOT_ROAMING&NOT_CONGESTED&NOT_SUSPENDED&NOT_VCN_MA

NAGED LinkUpBandwidth>=12000Kbps LinkDnBandwidth>=30000Kbps Specifier: <WifiNetworkAgentSpecifier [WifiConfiguration=,

SSID="TP-LINK_Figure_6d0405", BSSID=6c:b1:58:0f:7d:39, band=1, mMatchLocalOnlySpecifiers=false]> TransportInfo: <SSID: "TP-LINK_Figure_6d0405", BSSID:

6c:b1:58:0f:7d:39, MAC: a2:e9:b7:9b:b8:a6, Security type: 2, Supplicant state: COMPLETED, HE Eight Max VHT Spatial Streams Supported AP: false, Eight Max VHT

Spatial streams support: false, Wi-Fi standard: 4, RSSI: -2, Link speed: 150Mbps, Tx Link speed: 150Mbps, Max Supported Tx Link speed: 150Mbps, Rx Link speed:

150Mbps, Max Supported Rx Link speed: 150Mbps, Frequency: 2462MHz, Net ID: 0, Metered hint: false, score: 60, CarrierMerged: false, SubscriptionId: -1, IsPrimary: 1>

SignalStrength: -2 OwnerUid: 1000 AdminUids: [1000] SSID: "TP-LINK_Figure_6d0405"] sessionId=1008

从连接信息看,连接的是wifi 4, BSSID: 6c:b1:58:0f:7d:39, MAC: a2:e9:b7:9b:b8:a6, freq 2462

#4 - 2022-12-22 15:17 - CD LC 陶洪普

- File TP-LINK_Figure_6d0405--ShowOnOtherDevice.png added
在TP-LINK_Figure_6d0405--ShowOnOtherDevice.png 中显示 TP-LINK_Figure_6d0405 在其他设备上显示的是wifi 4, 2462 Channel

#5 - 2022-12-22 15:35 - CD LC 陶洪普

与测试刘勇沟通, 协调时间复现测试.

#6 - 2022-12-23 09:41 - CD FW 曹覃刚

- Category changed from CD-FW to LC

#7 - 2022-12-27 17:16 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 刘勇

- Resolution deleted (--)

刘勇

根据下面的最新需求，WIFI功能会被移除，整个网络菜单都会删除掉。所以不存在设备连接WIFI的场景了，请确认是否需要close这个票。

https://share.thundersoft.com/redmine/issues/114797

#8 - 2022-12-30 10:40 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 刘勇 to CD LC 陶洪普

可close此票，Need_INFO状态，测试这边无法修改状态走到Close，麻烦走一下状态

#9 - 2023-01-04 10:52 - CDTS-TEST 周婷

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD LC 陶洪普 to CDTS_TEST 刘勇

- % Done changed from 0 to 100

- Resolution set to WONTFIX

- Degrated changed from -- to No

- Root cause set to 需求变更，wifi 功能移除https://share.thundersoft.com/redmine/issues/114797

#10 - 2023-01-04 15:17 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#11 - 2023-01-04 15:17 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

logcat-boxes-fota-dut_screen_not_poweroff.txt 3.38 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut_inor_upgrade_fail.txt 2.28 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut-all_parameter2_WIFI4_Changeto_WIFI5.txt 2.49 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut-all_parameter.txt 4.07 MB 2022-12-16 CDTS_TEST 刘勇

Before_Version.png 401 KB 2022-12-16 CDTS_TEST 刘勇

Before_WIFI_type.png 382 KB 2022-12-16 CDTS_TEST 刘勇

Upgrade_banben.png 373 KB 2022-12-16 CDTS_TEST 刘勇

Upgrade_WIFI_type.png 380 KB 2022-12-16 CDTS_TEST 刘勇
TP-LINK_Figure_6d0405--ShowOnOtherDevice.png 182 KB 2022-12-22 CD LC 陶洪普
